Bug 9123 - Pump doesn't handle address reassignments (implementation bug or documentation bug)
Pump doesn't handle address reassignments (implementation bug or documentatio...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-04 11:28 EST by Theodore Tso
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 11:28:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Theodore Tso 2000-02-04 11:28:59 EST
Pump doesn't follow the DHCP specification in that it doesn't support the
server wanting to change your IP address by NAK'ing a lease renew and
giving out a new address.

This is noted in the sources:
/* This is somewhat broken. We try only to renew the lease. If we fail,
   we don't try to completely rebind. This doesn't follow the DHCP spec,
   but for the install it should be a reasonable compromise. */

However, it should be noted in the man page as a bug as well.  Folks who
work in environments where this is an issue can then know that they have to
avoid using pump, and download something like ISC's dhclient or dhcpd
instead.

Better yet, pump should be enhanced to deal with this case correctly.
Unfortunately you probably really do want to handle this case by giving
control to a sysadmin-supplied script to properly prepare the system before
and after the address change, so that various programs like bind can be
HUP'ed.  This may add more complexity that you want to add into pump, in
which case you should at least document that how pump doesn't follow the
DHCP spec, but how it's good enough for government work.
Comment 1 Erik Troan 2000-08-04 10:50:16 EDT
Add note to man page
Comment 2 Erik Troan 2000-08-04 11:09:20 EDT
Actually, I fixed this in the latest pump.

Note You need to log in before you can comment on or make changes to this bug.